@echo off
echo ASSOSTATION TOMCAT STARTUP
echo ---------------------------------
echo.
echo for successful running you have to do 4 things:
echo 1) have jdk1.6 installed properly
echo 2) have Tomcat6 installed properly and TOMCAT_HOME system property set to its install directory.
echo.

echo using TOMCAT_HOME=%TOMCAT_HOME%
echo.

if not exist "%TOMCAT_HOME%/bin/bootstrap.jar" goto catalina_error


set CATALINA_BASE=.

SET _OPTS=-Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=localhost:12345
SET _OPTS=%_OPTS% -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.util.logging.config.file=".\conf\logging.properties" -Djava.endorsed.dirs="%TOMCAT_HOME%/common/endorsed"
SET _OPTS=%_OPTS% -classpath "%TOMCAT_HOME%/bin/bootstrap.jar" -Dcatalina.base="%CATALINA_BASE%" -Dcatalina.home="%TOMCAT_HOME%" -Djava.io.tmpdir=".\temp"

SET _RUNTOMCAT=java %_OPTS% org.apache.catalina.startup.Bootstrap start
echo %_RUNTOMCAT%
%_RUNTOMCAT%

goto end

:catalina_error
echo It seems that TOMCAT_HOME system property is not set. It should point to tomcat installation directory.
:end
